@section News in 10.0

@itemize @bullet

@item
Disabled @code{LaTeX-hide-environment}.
Suggested by Christopher Allen <cpcallen@@ruah.dyndns.org>.

@item
Changed default to lazy evaluation of @code{TeX-view-style} and
@code{LaTeX-command-style}.
Suggested by Peter Neergaard <turtle@@cs.bu.edu>.

@item
Backindent when brace is at the start of a line.
Patch by Masashi Shimbo <shimbo@@cis.ibaraki.ac.jp>.

@item
Added Emacs 21 font lock support.

@item
@kbd{,} and @kbd{.} no longer removes italic correction.

@item
@code{graphicx} and @code{graphics} style support.
Donated by Ryuichi Arafune <arafune@@ushioda.riec.tohoku.ac.jp>.

@item
@code{LaTeX-math-abbrev-prefix} now accepts vector value.
Reported by Jan Vroonhof <vroonhof@@math.ethz.ch>.

@item
Improved Texinfo support(more environments and html).
Patch by Akim Demaille <akim@@epita.fr>.

@item
@code{danish} quotes support.
Suggested by arne@@daimi.au.dk (Arne Joergensen).

@item
Some PDF support.

@item
New @file{tex-mik.el} file for Mik@TeX{} support.

@item
Some commands now have their own history.
Suggested by Werner LEMBERG <sx0005@@sx2.HRZ.Uni-Dortmund.DE>.

@item
Use @code{\centering} instead of center environment in figures.
Patch by Stefan Monnier <foo@@acm.com>.

@item 
New @code{dwim} setting for @code{TeX-master} attempts to guess
a default master for new files.
Patch by Stefan Monnier <foo@@acm.com>.

@item 
@code{ngerman} style support.
Just a copy of the german style support.

@item
Removed support for Emacs 18 and 19.

@item @code{mdwlist} support.
Patch by Stephen Heilbronner <heilbron@@nm.informatik.uni-muenchen.de>.

@item
Fixed various bugs with the babel package.

@item @code{amsart} and @code{amsbook} now loads @code{amsthm} by default.
Patch by Rune Kleveland <runekl@@math.uio.no>.

@item Fixed bug with file searching.
Reported by Berwin Turlach <bturlach@@maths.adelaide.edu.au>.

@item Finalized index support, added index-related style files.
Patch by Carsten Dominik <dominik@@strw.leidenuniv.nl>.

@item New style files for @file{varioref.sty} and @file{fancyref.sty}.
Patch by Carsten Dominik <dominik@@strw.leidenuniv.nl>.

@item @code{texmathp} recognizes additional macros like @code{\fbox}.
Patch by Ulrik Vieth <vieth@@thphy.uni-duesseldorf.de>.

@end itemize

@section News in 9.9

@itemize @bullet
@item Bug fix in JLATEX recognition.  Patch by
Tsutomu OKUMURA <oku@@nml.t.u-tokyo.ac.jp>.

@item Bug fix in foils package sypport.
Suggested by Bernt Guldbrandtsen <bernt@@jupiter.ansci.iastate.edu>.

@item Made @code{make install-contrib} compile the contributed lisp
files. 
Suggested by Nils Ackermann <Nils.Ackermann@@math.uni-giessen.de>. 

@item In @code{texinfo-mode}, @kbd{C-c C-f C-d} now deletes the current
font, while @kbd{C-u C-c C-f @var{key}} changes it.  @samp{@@dfn} moved
to @kbd{C-c C-f d}.  Suggested by Christoph Wedler
<wedler@@fmi.uni-passau.de>.

@item Fixed some custom types.  
Patch by Markus Rost <markus.rost@@mathematik.uni-regensburg.de>.

@item Support loading byte compiled files, even if
@code{TeX-byte-compile} is nil.
Patch by Christoph Wedler  <wedler@@fmi.uni-passau.de>.

@item The command to replace a LaTeX2e font should work more reliably
now.  Patch by Christoph Wedler  <wedler@@fmi.uni-passau.de>.

@item Minor XEmacs packaging changes.
Patch by Christoph Wedler  <wedler@@fmi.uni-passau.de>.

@item @code{TeX-file-recurse} now accepts an integer value, max depth of
recursion.  Patch by Alastair Burt  <burt@@dfki.bde>.

@item Simple imenu support for La@TeX{}.

@item Workaround for 20.3 bugs. 

@item The `Spell' command now works on all open buffers in the
document.  Patch by Jason Stewart <jasons@@cs.unm.edu>.

@item @kbd{C-c C-m} now puts content of region inside first empty brackets
in the macro, if any.  Patch by Peter Thiemann <pjt@@cs.nott.ac.uk>.

@item Update of @file{natbib.el} style file by Carsten Dominik
<dominik@@strw.LeidenUniv.nl>.

@item Much better detection of @TeX{} math mode.  Patch by Carsten Dominik
<dominik@@strw.LeidenUniv.nl>.

@item New @samp{%n} escape in @code{TeX-command-list} for entering the
current line number.  Suggested by "Lee, Sang-Min"
<smagus@@acorn.snu.ac.kr>. 

@item Doc fixes in manual.  Patch by Gustavo Chaves
<gustavo@@cpqd.com.br>.

@item Better reftex support for sections.  Patch by Carsten Dominik
<dominik@@strw.LeidenUniv.nl>. 

@item Bug fixes in math card.  Reported by "Ron Smith"
<rsmith@@eel.ufl.edu>. 

@item Better multifile support.  Patch by Soren Dayton
<csdayton@@cs.uchicago.edu>. 

@item Don't expand abbreviations when @code{abbrev-mode} is nil.
Suggested by Alastair Burt <alastair.burt@@dfki.de>.

@item @samp{direntry} support in manual, by SL Baur
<steve@@altair.xemacs.org>. 
@end itemize

@section News in 9.8

@itemize @bullet
@item Added @code{natbib.el} to support natbib.sty by Patrick W. Daly.
Submitted by Berwin A. Turlach @samp{<berwin.turlach@@anu.edu.au>}.

@item
More La@TeX{}2e support by Jan Vroonhof
@samp{<vroonhof@@math.ethz.ch>}.@refill

@item Make @code{TeX-master} a local variable in Bib@TeX{} mode and set
it to true.  This seems to be necessary to enable auto-parsing of a .bib
file.  Patch by Berwin A. Turlach @samp{<berwin.turlach@@anu.edu.au>}.

@item Support for Harvard style updated by Berwin A. Turlach
@samp{<berwin.turlach@@anu.edu.au>}.

@item
Support for `natbib' package.
By Berwin Turlach @samp{<berwin.turlach@@anu.edu.au>}. 

@item 
Finer control of automatic parsing of @TeX{} files: new variables
@code{TeX-auto-x-parse-length} and @code{TeX-auto-x-regexp-list}.
By Christoph Wedler @samp{<wedler@@fmi.uni-passau.de>}.

@item 
Finer control of indentation: new variables @code{LaTeX-document-regexp},
@code{LaTeX-verbatim-regexp}, @code{LaTeX-begin-regexp},
@code{LaTeX-end-regexp} and @code{LaTeX-indent-comment-start-regexp}.
By Christoph Wedler @samp{<wedler@@fmi.uni-passau.de>}.

@item 
When running La@TeX{} on a region, do not complain about undefined
citations.  See variable @code{TeX-region-extra}.
By Christoph Wedler @samp{<wedler@@fmi.uni-passau.de>}.

@item 
Split menu for LaTeX environments into submenus if number of
environments is larger than the value of the new variable
@code{LaTeX-menu-max-items}.
By Christoph Wedler @samp{<wedler@@fmi.uni-passau.de>}.

@item
More reftex support with new @code{TeX-arg-ref} function.
By Soren Dayton @samp{<csdayton@@cs.uchicago.edu>}, with @file{amsmath}
support by Carsten Dominik @samp{<dominik@@strw.LeidenUniv.nl>}.

@item
Minimal parser now recognize @code{usepackage}.
By Carsten Dominik @samp{<dominik@@strw.LeidenUniv.nl>}.

@item
More amstex styles recognized.
By Carsten Dominik @samp{<dominik@@strw.LeidenUniv.nl>}.

@item
Czech and Slovak support.
By Milan Zamazal @samp{<pdm@@fi.muni.cz>}. 

@end itemize


@section News in 9.7

@itemize @bullet
@item
Added support for customize.

@item 
Added minimal support for @code{sentence-end-double-space}.

@end itemize

@section News in 9.6

@itemize @bullet
@item
NT installation instructions added.

@item
@file{func-doc.el} unbundled, as @file{word-help.el} will be added to
the standard Emacs distribution.  See @url{http://www.ifi.uio.no/~jensthi/}.

@item 
@samp{$} is now of the syntax class `matched pair', suggested by Mats
Bengtsson @samp{<matsb@@s3.kth.se>}.

@item 
Now use @kbd{,} to enter multiple arguments to a @samp{\cite} or
@samp{\bibliography} command instead of @kbd{@key{ret}}.

@item
Installation procedure is changed, read the @file{INSTALLATION} file. 

@item
LaCheck is unbundled.  You can get @code{lacheck} from
@file{<URL:ftp://sunsite.dk/pub/text/lacheck/>} or alternatively
@code{chktex} from
@file{<URL:ftp://ftp.dante.de/pub/tex/support/chktex/>}.  Search for
`chktex' in @file{tex.el} to see how to switch between them.@refill

@item 
Insert @code{(require 'font-latex)} to get better font lock support. 

@item
Bug fixes.

@item
Better handling of subdirectories, suggested by Frederic Devernay
@samp{<Frederic.Devernay@@sophia.inria.fr>} and many others.
@end itemize

@section News in 9.5

@itemize @bullet
@item Use the @file{func-doc.el} package to get context senstive help.
This is not autoloaded, you must load it explicitly with:

@lisp
(require 'func-doc)
@end lisp

@item
Bug fixes.

@end itemize

@section News in 9.4

@itemize @bullet
@item There is now a menu in @code{LaTeX-math-minor-mode}.

@item
Bug fixes.
@end itemize

@section News in 9.3

@itemize @bullet
@item
Bug fixes.
@end itemize

@section News in 9.2

@itemize @bullet
@item 
Bug fixes.

@item
New file @file{bib-cite.el} contributed by Peter S. Galbraith
@samp{<rhogee@@bathybius.meteo.mcgill.ca>}.  This file is not installed
or enabled by default and is not part of the basic AUC @TeX{}
package. If you have problems, questions, or suggestions, please direct
them to Peter.

@item
New file @file{hilit-LaTeX.el} contributed by Peter S. Galbraith
@samp{<rhogee@@bathybius.meteo.mcgill.ca>}.  This file is not installed
or enabled by default and is not part of the basic AUC @TeX{}
package. If you have problems, questions, or suggestions, please direct
them to Peter.

@item
AUC @TeX{} is now less likely to suggest running Bib@TeX{} when it is
not needed.

@item
Press @kbd{M-x LaTeX-209-to-2e @key{ret}} to make a stab at converting a
La@TeX{} 2.09 header to La@TeX{}2e.

@item
@kbd{C-c C-m input @key{ret}} should be faster now on second try.

@item
New variable @code{LaTeX-left-right-indent-level} controls the
indentation added by @samp{\left}.

@item
@samp{\begin}, @samp{\end}, @samp{\left}, and @samp{\right} no longer
need to be at the beginning of the line to take effect. 

@item
You can now delete and replace La@TeX{}2e style fonts.

@item
Moved external commands to new menu.

@item
@kbd{C-c C-m cite @key{ret}} will prompt for multiple keys.

@item
Better handling of @samp{"} with @file{german.sty}.

@item
New variable @code{LaTeX-paragraph-commands} lists La@TeX{} commands
that shouldn't be formatted as part of a paragraph.

@item
Older news moved to @file{HISTORY}.  It is not @TeX{}info able, but you
can get a plaintext version with @samp{make HISTORY}.

@item
See the new @file{ChangeLog} file for a more detailed list of changes.
The history section will now only contain user level changes.  If you
send me a patch, please also provide a ChangeLog entry.
@end itemize

@node Version 9.1, Version 9.0, Version 9.2, History
@section News in 9.1

Coordinater: Per Abrahamsen, 1994.

Alpha testers (in order of appearance): 
Bernt Guldbrandtsen @samp{<bernt@@weinberg.pop.bio.aau.dk>},
Kevin Scott @samp{<scottkj@@prl.philips.co.uk>},
Lawrence R. Dodd @samp{<dodd@@roebling.poly.edu>},
Michelangelo Grigni @samp{<mic@@cs.ucsd.edu>},
David Aspinall @samp{<da@@dcs.edinburgh.ac.uk>},
Frederic Devernay @samp{<Frederic.Devernay@@sophia.inria.fr>},
Robert Estes @samp{<estes@@ece.ucdavis.edu>},
Peter Whaite @samp{<peta@@cim.mcgill.ca>},
Karl Eichwalder @samp{<karl@@pertron.central.de>},
John Interrante @samp{<interran@@uluru.Stanford.EDU>},
James A. Robinson @samp{<jimr@@simons-rock.edu>},
Tim Carlson @samp{<imsgtcar@@mathfs.math.montana.edu>},
Michelangelo Grigni @samp{<mic@@cs.ucsd.edu>},
Manoj Srivastava @samp{<srivasta@@pilgrim.umass.edu>},
Richard Stanton @samp{<stanton@@haas.berkeley.edu>},
Kobayashi Shinji @samp{<koba@@flab.fujitsu.co.jp>},
and probably more.@refill

@itemize @bullet
@item
La@TeX{}2e is now default.  Set @code{LaTeX-version} to @samp{"2"} to
disable this.

@item
Better handling of @samp{*TeX background*} buffer.  Suggested by John
Interrante @samp{<interran@@uluru.Stanford.EDU>}. 

@item
Parser did not recognise the use of @samp{\def} to create La@TeX{}
environments.  Reported by Frederic Devernay
@samp{<Frederic.Devernay@@sophia.inria.fr>}. 

@item
Minor cleanup in some error messages.

@item
Fixed bug in @code{TeX-comment-paragraph} when called with a negative
argument.  Reported by Markus Kramer @samp{<kramer@@inf.fu-berlin.de>}. 

@item
Don't move point in master file when running a command on the region in
an included file.  Thanks to Karl Wilhelm Langenberger
@samp{<wlang@@rs6000.mri.akh-wien.ac.at>} for the patch.

@item
@code{LaTeX-math-mode} no longer works on Emacs 18 or older Lucid
versions.  This change allowed me to unbundle @file{min-map.el}.

@item
Made @kbd{C-c C-e} more robust, especially when applied on an empty
active region.  Reported by Andrew Senior @samp{<aws@@eng.cam.ac.uk>}.

@item
@kbd{C-c C-m section RET} and @kbd{M-@key{tab}} should work now in
@TeX{}info mode.  @kbd{C-c C-b} and @kbd{C-c C-r} removed, since they
did not work.  Reported by Karl Eichwalder
@samp{<karl@@pertron.central.de>}.

@item
Made @kbd{M-q} skip block comments.  Sugested by Peter Whaite
@samp{<peta@@cim.mcgill.ca>}. 

@item
Code cleanup:  Renamed @samp{-format-} functions to @samp{-fill-}. 

@item
Made @kbd{,} and @kbd{.} remove any preceding italic correction.

@item
Changes in math mode: @samp{setminus} moved to @key{\}, @samp{not} moved
to @key{/}, and @samp{wedge}, @samp{vee}, and @samp{neg} installed on
@key{&}, @kbd{|}, and @kbd{!} to make writing logic easier for C
programmers.

@item
Renamed @file{auc-tex.el} to @file{auc-old.el} to make it less likely
that new users load it by mistake.

@item
Changed name of @file{easymenu.el} to @file{auc-menu.el} to avoid
conflict with RMS's version.  Updated it to handle the Lucid
@code{:keys} keyword argument.  Defines a popup menu for both FSF and
Lucid emacs, although it is only installed in Lucid Emacs.  Added David
Aspinall's @samp{<da@@dcs.edinburgh.ac.uk>} patch to handle an empty
menu bar under Lucid Emacs.  The interface is still a superset of
@file{easymenu.el}.  This version should no longer prevent the sharing
of byte compiled files between FSF and Lucid emacs.

@item
Marking a section or environment now highlight it in Lucid Emacs.  It
already worked in GNU Emacs.  Thanks to Andreas Ernst
@samp{ernst_a@@maths.uwa.edu.au}.

@item
Font support for La@TeX{}2e.  Many people suggested this.
Automatically activated for all documents defined with
@samp{\documentclass}. 

@item
Outline support for La@TeX{}2e fixed by Robert Estes
@samp{<estes@@ece.ucdavis.edu>}. 

@item
@samp{bibliography} macro now works.  Thanks to Frederic Devernay
@samp{<Frederic.Devernay@@sophia.inria.fr>}. 

@item
Fixes to @file{psfig} support by Thomas Graichen
@samp{<graichen@@sirius.physik.fu-berlin.de>}. 

@item
Fixed position of @samp{\label} in environments.  Reported by Richard
Stanton @samp{<stanton@@haas.berkeley.edu>}.

@item
Made the name of the AUC @TeX{} menu mode specific.

@item
More reliable guesses with @kbd{C-c C-r}.  Thanks to Lawrence R. Dodd
@samp{<dodd@@roebling.poly.edu>}.

@item
Insert newline before inserting local variable section.  Thanks to
Rajeev Gore' @samp{<rpg@@cs.man.ac.uk>}.

@item
Fixes to Japanese version.  Thanks to Kobayashi Shinji
@samp{<koba@@flab.fujitsu.co.jp>}.

@item
Fixed bug in @samp{put} and @samp{multiput} macros.  Thanks to Kobayashi
Shinji @samp{<koba@@flab.fujitsu.co.jp>} and Masayuki Kuwada
<kuwada@@axion-gw.ee.uec.ac.jp>. 

@item
Display number of pages after end of La@TeX{} compilation.  Thanks to
Lawrence R. Dodd @samp{<dodd@@roebling.poly.edu>}.

@item
Only update section and environment menus when the lists have changed.

@item
New variables @code{LaTeX-header-end} and @code{LaTeX-trailer-start}.

@item
Some Emacs 18 compatibility changes.  Thanks to Fran E. Burstall
@samp{<F.E.Burstall@@maths.bath.ac.uk>}.

@item 
Use nonrecursive function to determine the current environment.  This
should solve problems with exceeding lisp max depth. Contributed by
David Aspinall @samp{<da@@dcs.edinburgh.ac.uk>}.

@item
Fixed documentation for @kbd{` ~} in @file{math-ref.tex}.  Thanks to
Morten Welinder @samp{<terra@@diku.dk>}.

@item
Made @code{LaTeX-math-mode} work better with FSF Emacs 19 in the case
where you press something undefined, in particular function keys.
Requested by several.

@item
Inserting an itemize environment around the active region now insert the
first item inside the environment.  Thanks to Berwin A. Turlach
@samp{<berwin@@core.ucl.ac.be>} for reporting this.

@item
Fixed bug in right button menu under Lucid.  Reported by Frederic
Devernay @samp{<Frederic.Devernay@@sophia.inria.fr>}.
@end itemize

@node Version 9.0, Version 8.0, Version 9.1, History
@section News in 9.0

Coordinator: Per Abrahamsen, 1994.

Alpha testers (in order of appearance): 
Volker Dobler @samp{<dobler@@etu.wiwi.uni-karlsruhe.de>},
Piet van Oostrum @samp{<piet@@cs.ruu.nl>}, 
Frederic Devernay @samp{<Frederic.Devernay@@sophia.inria.fr>}, 
Robert Estes @samp{<estes@@ece.ucdavis.edu>},
Berwin Turlach @samp{<berwin@@core.ucl.ac.be>},
Tim Carlson @samp{<imsgtcar@@mathfs.math.montana.edu>},
Peter Thiemann @samp{<thiemann@@provence.informatik.uni-tuebingen.de>},
Kevin Scott @samp{<scottkj@@prl.philips.co.uk>},
Lawrence R. Dodd @samp{<dodd@@roebling.poly.edu>},
Johan Van Biesen @samp{<vbiesen@@wins.uia.ac.be>},
Marc Gemis @samp{<makke@@wins.uia.ac.be>},
Michelangelo Grigni @samp{<mic@@cs.ucsd.edu>},
Kevin Scott @samp{<scottkj@@prl.philips.co.uk>},
Peter Paris @samp{<pparis@@bass.gmu.edu>},
Peter Barth @samp{<barth@@mpi-sb.mpg.de>},
Andy Piper @samp{<ajp@@eng.cam.ac.uk>},
Richard Stanton @samp{<stanton@@haas.berkeley.edu>},
Christoph Wedler @samp{<wedler@@fmi.uni-passau.de>},
Graham Gough @samp{<graham@@cs.man.ac.uk>},
and probably more.@refill

@itemize @bullet
@item
Fixed problem with @file{filladapt} defeating La@TeX{} mode's own
indentation algorithm.  Thanks to Piet van Oostrum
@samp{<piet@@cs.ruu.nl>}.

@item
Made environments and sections selectable from the menu bar.

@item
Support Emacs comment conventions.  Comments starting with a single
@samp{%} are indented at @code{comment-column}.  Comments starting with
@samp{%%%} are indented at column 0.  Comments starting with
@samp{%%} are indented like ordinary text.  You can set the variables
@code{LaTeX-right-comment-regexp} and @code{LaTeX-left-comment-regexp}
to nil to disable this.  See also @code{LaTeX-ignore-comment-regexp}.
Rewrote it from Christoph Wedler @samp{<wedler@@fmi.uni-passau.de>} from
original code.

@item
@key{tab} and @key{lfd} will not indent code in @samp{verbatim}
environment if you set @code{LaTeX-indent-environment-check} to non-nil.
This was also first implemented by Christoph Wedler
@samp{<wedler@@fmi.uni-passau.de>}.  

@item
You can now get get custom indentation for various environments.  See
@code{LaTeX-indent-environment-list}.

@item
@kbd{C-c C-m left @key{ret}} new automatically inserts a matching
@samp{\right}.  See variables @code{TeX-left-right-braces},
@code{TeX-braces-default-association}, and
@code{TeX-braces-user-association}.  This feature was suggested by Jesse
@samp{<jes@@math.msu.edu>} and implemented by Berwin Turlach
@samp{<berwin@@core.ucl.ac.be>}.

@item
Don't automatically display the compilation buffer unless
@code{TeX-show-compilation} in non-nil.  Suggested by Stefan Schoef
@samp{Stefan.Schoef@@arbi.informatik.uni-oldenburg.de}. 

@item
Bundled @file{ltx-help.el}.  Press @kbd{C-h C-l} to get the
documentation for a LaTeX command.

@item
Fixed indentation of @samp{\left} and @samp{\right}.  Thanks to
Christoph Wedler @samp{<wedler@@fmi.uni-passau.de>}.

@item
Installation procedure changed.  @file{tex-site.el} is now intended to
survive AUC @TeX{} upgraded.  The distribution version only contains
autoloads (eliminating the need for @file{tex-load.el} , the
customization variables are moved to @file{tex.el}.  You should copy
those variables you need to customize from @file{tex.el} to
@file{tex-site.el}. 

@item
Made it possible to use absolute paths when including bibliographies or
style files.

@item
Fixed problem with parsing errors after running La@TeX{} on the region
from the menu.  Thanks to Peter Barth @samp{<barth@@mpi-sb.mpg.de>} for
finding this one.

@item
The file @file{doc/ref-card.texi} has been renamed to
@file{doc/tex-ref.texi} to avoid confusion with the reference card for
GNU Emacs.  Suggested by Michelangelo Grigni @samp{<mic@@cs.ucsd.edu>}.

@item
The @file{README}, @file{CHANGES} and @file{INSTALLATION} files are now
generated from chapters of this manual, to ensure they stay in sync.

@item
@kbd{M-@key{tab}} will now complete some macro arguments in addition to
macro names.  In particular, if you press @kbd{M-@key{tab}} after
@samp{\cite@{} or @samp{\ref@{} you will get completion for bibitems and
labels, respectively.

@item
Merged a number of files.  The major files are now @file{tex.el} for
plain @TeX{} and common support, @file{tex-buf.el} for running external
commands, and @file{latex.el} for La@TeX{} support.

@item
Unbundled @file{outln-18.el}.  Users of Emacs 18 or Lucid Emacs 19.9 or
earlier must get @file{outln-18.el} and install it as @file{outline.el}
if they want the outline commands to work.

@item
No longer bind @kbd{C-c @key{tab}} to @code{TeX-complete-symbol}.  Use
@kbd{M-@key{tab}} instead.

@item
Cleaned up the parser and parameterizedd it.  Now you can add now types
of information to be maintained by the parser simply by calling
@code{TeX-auto-add-type}.  You still need to install the regexps with
@code{TeX-auto-add-regexp}. 

@item
Disable the automatic insertion of empty braces after macros with no
arguments in @code{LaTeX-math-mode}.  Added a variable
@code{TeX-insert-braces} to disable it everywhere. 

@item
Now complete with existing labels when asking for a label in a La@TeX{}
environment.  Suggested by Berwin Turlach
@samp{<berwin@@core.ucl.ac.be>}.
 
@item
The variables @code{TeX-private-macro}, @code{TeX-private-auto}, and
@code{TeX-private-style} are now initialized from the @samp{TEXINPUTS}
and @samp{BIBINPUTS} environment variables.
 
@item
@kbd{C-c C-f} and @kbd{C-c C-e} will now put the template around the
region if the region is active.

@item
Fixed @kbd{C-u C-c C-e} to handle environments ending with a star
(@samp{*}).  Reported by Berwin Turlach
@samp{<berwin@@core.ucl.ac.be>}.

@item
Don't use @code{with-output-to-temp-buffer} for compilation buffer.
Fixed by Frederic Devernay @samp{<Frederic.Devernay@@sophia.inria.fr>}.

@item
New function @code{TeX-command-buffer} (@kbd{C-c C-b}) to run a command
on the (visible part of) the current buffer.  Requested by several
people. 

@item
Bundled the latest @file{reporter.el}, added
@code{TeX-submit-bug-report} to menus.

@item
@code{TeX-insert-braces} now takes an argument like
@code{insert-parentheses}.  Thanks to Lawrence R. Dodd
@samp{<dodd@@roebling.poly.edu>}. 

@item
Fixed bug in @samp{\put} and @samp{\multiput} macros.  Thanks to Kevin
Scott @samp{<scottkj@@prl.philips.co.uk>}.

@item
Deleted @code{ams-latex-mode}, @code{slitex-mode}, and
@code{foiltex-mode}.  Instead, use @code{LaTeX-command-style} to
determine the name of the external command to use.

@item
Deleted @code{latex2e-mode}.  Instead set the @code{LaTeX-version}
variable.  This may be done automatically if you use
@samp{\documentclass} in the future.

@item
Fixed Lucid Emacs menu for @TeX{}info mode.  Thanks to Frederic Devernay
@samp{<Frederic.Devernay@@sophia.inria.fr>},

@item
Added support for @file{harvard.sty} by Berwin Turlach
@samp{<berwin@@core.ucl.ac.be>}.

@item
Filling will not let display math equations @samp{\[ ... \]} be on a
line by themselves.  Reported by Matthew Morley
@samp{<Matthew.Morley@@gmd.de>}. 

@item
Made @code{words-include-escapes} default to nil.  

@item
Made @code{TeX-expand-list} expansions case sensitive.  Thanks to Havard
Rue @samp{<Havard.Rue@@sima.sintef.no>}.

@item
Fixed error in calculating indentation for lines starting with a brace.
Thanks to Piet van Oostrum @samp{<piet@@cs.ruu.nl>}.

@item
Fixed bug in the @samp{addcontentsline}, @samp{newtheorem}, and
@samp{pagenumbering} macros reported by Berwin Turlach
@samp{<berwin@@core.ucl.ac.be>}.

@item
Doc fixes by Lawrence R. Dodd @samp{<dodd@@roebling.poly.edu>}.

@item
Indentation no longer fooled by @samp{\\@{},  Thanks to Peter Thiemann
@samp{<thiemann@@provence.informatik.uni-tuebingen.de>}.

@item
Bind @kbd{M-C-e} and @kbd{M-c-a} to @code{LaTeX-find-matching-end} and
@code{LaTeX-find-matching-begin}.  Suggested by Lawrence R. Dodd
@samp{<dodd@@roebling.poly.edu>}.

@item
Added variable @code{TeX-quote-after-quote} which causes
@code{TeX-insert-quote} to insert literal @samp{"} except when after
another @samp{"}, in which case it will expand to @code{TeX-open-quote}
or @code{TeX-close-quote}.  This code was contributed by Piotr Filip
Sawicki @samp{<pfs@@mimuw.edu.pl>}.

@item
Added support for Polish style files @file{plfonts.sty} and
@file{plhb.sty}, contributed by Piotr Filip
Sawicki @samp{<pfs@@mimuw.edu.pl>}.

@item
Added section with suggestions for how to handle European
character sets.

@item
Created workaround for bug in the regexp handler in some Emacs 18
versions and older versions of Lucid Emacs.  The workaround
means you cannot use space in the documentstyle command in Emacs and
Lucid Emacs earlier than version 19.9.

@item
@file{powerkey.el} is removed since the functionality is integrated in
GNU Emacs 

@item
@kbd{C-u "} now inserts four literal @samp{"}, not just one.  To insert
a single @samp{"} either press @key{"} twice or use @kbd{C-q "}.

@item
Allow non-string value for @code{outline-minor-map-prefix}.  Reported by
David Smith @samp{<maa507@@comp.lancs.ac.uk>}.

@item
Make the use of @code{write-file-hooks} more safe, and use
@code{local-write-file-hooks} when possible.  Suggested by David Smith
@samp{<maa507@@comp.lancs.ac.uk>}.

@item
Don't indent @samp{\begin@{verbatim@}} and @samp{\end@{verbatim@}},
since any space before @samp{\end@{verbatim@}} is significant.  Thanks to
Peter Thiemann @samp{<thiemann@@informatik.uni-tuebingen.de>} for the
patch.

@item
Show available fonts when you try to insert an non-existing font.
Suggested by David Smith @samp{<maa507@@comp.lancs.ac.uk>}.

@item
The @code{member} function in @file{tex-18.el} does not depend on
@code{TeX-member} now.  Thanks to Piet van Oostrum
@samp{<piet@@cs.ruu.nl>}. 

@item
Do not overwrite any global binding of @kbd{M-@kbd{ret}}.  Suggested by
Jens Petersen @samp{<J.Petersen@@qmw.ac.uk>}.

@item
Major modes for writing text are supposed to rebind @kbd{M-@kbd{tab}} to
@code{ispell-complete-word}.  Reported by Jens Petersen
@samp{<J.Petersen@@qmw.ac.uk>}.

@item
Fixed problems with @TeX{}info menus.  Thanks to David Smith
@samp{<maa507@@comp.lancs.ac.uk>} for reporting this.

@item
Code cleanup.   Removed the @file{format} directory, as it did not make
it easier to add new @TeX{} modes, quite the contrary.

@item
Fixed name conflict in @file{auc-tex.el}, reported by Rik Faith
@samp{<faith@@cs.unc.edu>}. 

@item
Fixed some spelling errors.  Thanks to Lawrence R. Dodd
@samp{<dodd@@roebling.poly.edu>}. 

@item
Fixed bug prohibiting non-standard file extensions.  Now recognize
@file{.ltx} by default.  Suggested by Lawrence R. Dodd
@samp{<dodd@@roebling.poly.edu>}. 

@item
Name of the AUC @TeX{} info files changes once again to be usable under
DOS.  This time simply to @file{auctex}.

@item
Documented @code{TeX-outline-extra}.

@item
Could not select command on region from the menu before loading
@file{tex-buf}.  Reported by Uwe Bonnes
@samp{<bon@@lte.e-technik.uni-erlangen.de>}.

@item
Make the hilit19 interface more robust.  Thanks to William Dean Norris
II @samp{<wdn@@dragonfly.cis.ufl.edu>}.

@item
More OS/2 Makefile fixes by Bodo Huckestein
@samp{<bodo@@eu10.mpi-hd.mpg.de>}.

@item
Reimplemented comment support on top of @code{comment-region}, giving
slightly different semantics.
@end itemize


@node Version 8.0, Version 7.3, Version 9.0, History
@comment  node-name,  next,  previous,  up
@section News in 8.0

Coordinator: Per Abrahamsen, 1993.

Alpha testers (in order of appearance): Marc Gemis
@samp{<makke@@wins.uia.ac.be>}, Shinji Kobayashi
@samp{<koba@@flab.fujitsu.co.jp>}, Philippe Defert
@samp{<defert@@gnuisance.cern.ch>}, Richard Stanton
@samp{<stanton@@haas.berkeley.edu>}, Norbert Kiesel
@samp{<norbert@@i3.informatik.rwth-aachen.de>}, Roberto Cecchini
@samp{<CECCHINI@@fi.infn.it>}, Hanno Wirth @samp{<wirth@@igd.fhg.de>},
Tim Carlson @samp{<tim@@math.montana.edu>}, John Daschbach
@samp{<dasch@@darkwing.uoregon.edu>}, Bob Fields
@samp{<bob@@minster.york.ac.uk>}, Peter Whaite
@samp{<peta@@cim.mcgill.ca>}, Volker Dobler
@samp{<dobler@@etu.wiwi.uni-karlsruhe.de>}, Phil Austin
@samp{<phil@@geog.ubc.ca>}, Martin Maechler
@samp{<maechler@@stat.math.ethz.ch>}, Havard Rue
@samp{<Havard.Rue@@sima.sintef.no>}, Tim Geisler
@samp{<tmgeisle@@faui80.informatik.uni-erlangen.de>}, Tim Carlson
@samp{<imsgtcar@@mathfs.math.montana.edu>}, Sridhar Anandakrishnan
@samp{<sak@@essc.psu.edu>}, Peter Thiemann
@samp{<thiemann@@provence.informatik.uni-tuebingen.de>}, Pedro Quaresma
@samp{<pedro@@mat.uc.pt>}, Christian Lynbech
@samp{<lynbech@@daimi.aau.dk>}, Kevin Scott
@samp{<scottkj@@prl.philips.co.uk>}, Bodo Huckestein
@samp{<bodo@@eu10.mpi-hd.mpg.de>}, Cengiz Alaettinoglu
@samp{<ca@@cs.UMD.EDU>}, Jakob Schiotz
@samp{<schiotz@@fysik.dth.dk>}, and probably more.@refill

@itemize @bullet
@item
New variable @code{LaTeX-letter-sender-address} contains default address
for use with the letter style.  Set it to the address of your
organization in @file{tex-site.el}.  Thanks to Sridhar Anandakrishnan
@samp{<sak@@essc.psu.edu>}. 

@item
Makefile now works under OS/2 with GNU Make.  Thanks to Bodo Huckestein
@samp{bodo@@eu10.mpi-hd.mpg.de}.

@item
Made it possible to install global auto files without having Bib@TeX{}
mode installed.  Thanks to Christian Lynbech
@samp{<lynbech@@daimi.aau.dk>}.

@item
Minor documentation fixes.  Thanks to Martin Maechler
@samp{<maechler@@stat.math.ethz.ch>}.

@item
Added support for @samp{eqref} for the @samp{amsart} style.  Thanks to
Peter Whaite @samp{<peta@@cim.mcgill.ca>}.

@item 
Use @samp{-c} as the default shell command option under @samp{emx}.
Eberhard Mattes @samp{<mattes@@azu.informatik.uni-stuttgart.de>} says
it is better than @samp{/c}.

@item
Made powerkey in the menus work better under OS/2.  Thanks to Eberhard
Mattes @samp{<mattes@@azu.informatik.uni-stuttgart.de>}.

@item
Made the reference cards print correctly on US letter format paper.
Thanks to Magnus Nordborg @samp{<magnus@@fisher.Stanford.EDU>}.

@item
@code{LaTeX-dead-mode} removed.  Read the file `ISO-TEX' for alternative
solutions.

@item
All minor modes unbundled.  You can find them from ftp at
@samp{ftp.iesd.auc.dk} in the directory @file{/pub/emacs-lisp}.  Removed
information about minor modes from this document.

@item
New hooks for changing ispell directory, see @file{tex-site.el} for
details.  

@item 
La@TeX{}2e mode now supported.  Insert 

@lisp
  (setq TeX-default-mode 'latex2e-mode)
@end lisp

in your @file{.emacs} file to get documentclass instead of documentstyle
per default.  The parser recognizes documentclass, usepackage, and
newcommand with a default argument.  There are also templates for all of
them.

@item
Added Jakob Schiotz's @samp{<schiotz@@fysik.dth.dk>} help file for
installing AUC @TeX{} on OEMACS.  It will probably also be of interest
for DEMACS users.

@item
Minor changes to be more friendly for OEMACS, thanks to Jakob Schiotz
@samp{<schiotz@@fysik.dth.dk>}. 

@item
The control key bindings in @code{LaTeX-math-mode} now works, thanks to
Frederic Devernay @samp{<Frederic.Devernay@@sophia.inria.fr>}. 

@item
La@TeX{} outlines no longer matches @samp{\partial} or other commands
with a sectioning command as prefix.  Thanks to Jakob Schiotz
@samp{<schiotz@@fysik.dth.dk>}.

@item
@code{LaTeX-fill-paragraph} now handles the case where the previous line
both contain an @samp{\item} and an unmatched open brace.  Thanks to
Piet van Oostrum @samp{<piet@@cs.ruu.nl>}.

@item
Use abbreviated file name for @TeX{} output buffers in Emacs 19.  Thanks
to Jens Gustedt @samp{<gustedt@@math.tu-berlin.de>}.

@item
Added lowercase alias for @code{LaTeX-math-mode} for use with Emacs file
mode commands.  Thanks to Olaf Burkart
@samp{<burkart@@zeus.informatik.rwth-aachen.de>}. 

@item
Added code to reuse old region in @code{TeX-command-region} if mark is
not active.  Thanks to Cengiz Alaettinoglu @samp{<ca@@cs.UMD.EDU>}.

@item
Now get keyboard accelerators on all menus rather than only AUC @TeX{}
menus, thanks to the @file{powerkey.el} file by Lars Lindberg
@samp{<lli@@sypro.cap.se>}.

@item
Added @code{TeX-electric-macro} for faster completion of @TeX{} macros.
@xref{Completion}.

@item
Comparing printer names are now case incentive.  Thanks to Richard
Stanton @samp{<stanton@@haas.berkeley.edu>}.

@item
Default shell fixed for OS/2.  Thanks to Richard Stanton
@samp{<stanton@@haas.berkeley.edu>}.

@item
Added functions to hide (@code{LaTeX-hide-environment}) and show
(@code{LaTeX-show-environment}) the current environment.

@item
@kbd{C-u C-c C-e} will now modify the current environment instead of
inserting a new environment.  This is like the optional argument to the
font commands.

@item
Added nabla to LaTeX Math Mode.  Suggested by Bill Reynolds
@samp{<bill@@goshawk.lanl.gov>}. 

@item
Added commands for running @TeX{} and La@TeX{} interactively.  Thanks to
David Carlisle @samp{<carlisle@@computer-science.manchester.ac.uk>}.

@item
The external commands will now insert there output @emph{before} point
in the output buffers.  This allows you to follow the progress by
putting point at the end of the file.  Suggested by Jak Kirman
@samp{<jak@@cs.brown.edu>}.

@item
When invoking an external command from a menu, the document will be
automatically saved. 

@item
There are now a printer menu for emacs 19.

@item
Redesigned dependency checking.  Now only checks dependencies for files
loaded in the current emacs session.  This is much faster, but will not
catch files that are edited outside this emacs session, or files edited
in killed buffers.  @strong{@code{TeX-check-path} must at least contain
@file{.} for saving to work}.  If you have set @samp{TeX-check-path}
in your @file{.emacs} file, remove it.  The default value is fast enough
now.

@item
New variable @code{TeX-save-query} control if AUC @TeX{} will query you
for each modified buffer when you save the document.  Set it to nil to
get rid of these questions.  Setting this variable also affect the
automatic saving of the document that happens each time you start an
external command.

@item
New command @code{TeX-save-document} will save all files in the current
document, i.e. the document associated with the current buffer.

@item 
Cleaned up all minor modes, also made them use @file{min-map.el} or
@file{min-mode.el} instead of @file{min-bind.el}.

@item
Cleaned up release management.

@item
AUC TeX will not longer be confused when you rewrite a file under a new
name. 

@item
Lots of code cleanup, involving reformatting the source and renaming all
@samp{-hook} variables and functions to conform with the Emacs 19
guidelines. 

@item 
Can now parse Japanese characters in labels and macros when you use
Japanese @TeX{}.  Thanks to Shinji Kobayashi
@samp{<koba@@flab.fujitsu.co.jp>}.

@item 
Made it safe to quit when AUC @TeX{} asks for the name of the master
file.  It will simply assume the file itself is the master, and continue
without inserting any file local variables.

@item
Support for @code{epsf} and @code{psfig} style files.  Thanks to Marc
Gemis @samp{<makke@@wins.uia.ac.be>}.

@item
Support for La@TeX{}info.  Thanks to Marc Gemis
@samp{<makke@@wins.uia.ac.be>}.

@item
Only examine the first 10000 bytes to find out what @TeX{} mode to use.

@item 
Added @code{TeX-submit-bug-report} command to submit bug reports.  It
uses the @file{reporter.el} distributed with SuperCite, so it may not be
available in some Emacs 18 installations.

@item
Speeded up parsing significantly by using a simpler regexp.

@item
Added variable @code{TeX-auto-untabify}.  Set it to nil to prevent
untabifying the buffer when it is saved.  Several people wanted this. 

@item
Changed defaults to @emph{not} do any automatic parsing, nor prompt for
a master file.  @xref{Parsing Files}, @ref{Multifile}, for information
about how ot correct this.  In short, insert the following in your
@file{.emacs} file.

@lisp
(setq TeX-auto-save t)
(setq TeX-parse-self t)
(setq-default TeX-master nil)
@end lisp

@item
Some grammatical fixes to the @file{PROBLEMS} file.  Thanks to Lawrence
R. Dodd @samp{<dodd@@roebling.poly.edu>}.

@item
No longer install a separate @code{outline-minor-mode} by default, as
the FSF Emacs 19.19 @code{outline-minor-mode} is adequate.  The included
file @file{outln-18.el} emulates the FSF Emacs 19.19 mode under Emacs 18.

The FSF Emacs 19.19 @code{outline-minor-mode} use the @kbd{C-c} prefix
instead of @kbd{C-c C-o} by default, and does not bind as many keys as
the @code{outline-minor-mode} distributed with earlier versions of AUC
@TeX{} did.  You can get the keybindings back together with other
goodies by inserting
@example
(require 'out-xtra)
@end example
in your @file{.emacs} file.  @file{out-xtra.el} will probably be
unbundled from AUC @TeX{} in the future.

@item
Some fixes to AmS-@TeX{} mode by Ulf Juergens
@samp{<ulf@@mathematik.uni-bielefeld.de>}.

@item
Make @samp{plain-TeX-mode-menu} work in Lucid Emacs.  Thanks to Anthony
Rossini @samp{rossini@@hsph.harvard.edu} for reporting this.

@item
First cut on a @TeX{}info mode.

@item
More strict about parsing @samp{\bibitem}'s and Bib@TeX{} entries.

@item
Made it easier to write style files for environments that takes
arguments and documented it.  Suggested by Martin
Wunderli @samp{<wunderli@@inf.ethz.ch>}.

@item
Parse optional argument to @samp{\newenvironment}.  Suggested by Martin
Wunderli @samp{<wunderli@@inf.ethz.ch>}.

@item
Fixed @samp{parbox} macro.  Thanks to Shinji Kobayashi
@samp{<koba@@flab.fujitsu.co.jp>}.

@item
Made the parser work better in outline minor mode.  Thanks to Salvador
Pinto Abreu @samp{<spa@@khosta.fct.unl.pt>}.

@item
Also save style information with @code{TeX-normal-mode} when buffer not
modified.

@item
Use @code{$(MAKE)} instead of @samp{make} to invoke @code{make} from the
@file{Makefile}.  Thanks to John Interrante
@samp{<interran@@uluru.Stanford.EDU>}. 

@item
Make last value default for @code{TeX-insert-macro}.  Suggested by Matt
Fairtlough @samp{<M.Fairtlough@@dcs.sheffield.ac.uk>}.

@item
Renamed info file to @samp{auc-info} in order to fill DOS file limits.
Please remember to update your @file{dir} file to reflect this change.

@item
Delete auto file instead of saving an empty file.
@end itemize

@node Version 7.3, Version 7.2, Version 8.0, History
@comment  node-name,  next,  previous,  up
@section News in 7.3

Coordinator: Per Abrahamsen, 1993.

@itemize @bullet
@item
More robust installation, especially for Lucid Emacs (I hope).  Many
people reported problems with this.

@item
Make `easymenu' work when byte-compiled.  Many people reported this
bug.

@item
Minimally updated the @file{README} file from version 6.0 (sigh).
Thanks to Boris Goldowsky @samp{<boris@@cs.rochester.edu>} for reporting
this.

@item
Added @samp{@@finalout} to manual.  Reported by Henrik Drabol
@samp{<hvd@@ens004.ens.min.dk>}.

@item
Fixed @kbd{M-q} to work after an @samp{\end@{@dots{}@}}.  It will not
work at the end of the buffer, but there are usually the local variables
so it should (hopefully) not matter.  Thanks to Shinji Kobayashi
@samp{<koba@@flab.fujitsu.co.jp>} again.

@item
New variables @code{TeX-open-quote} and @code{TeX-close-quote} determine
what is inserted by @code{TeX-insert-quote}.  The @file{german} style
file now use those variables instead of changing the keymap.

@item
Changes to the default settings in @file{tex-site.el}, in particular a
@samp{Queue} command is added to display the print queue.  Thanks to
John Interrante @samp{<interran@@uluru.Stanford.EDU>} for code, and
other members of the @samp{auc-tex@@iesd.auc.dk} mailing list for
ideas.

@item
Make sure all outline mode commands are bound in
@code{outline-minor-mode}. 

@item
Added autoload for @code{TeX-command}.  Thanks to Hanno Wirth
@samp{<wirth@@igd.fhg.de>} for reporting this.

@item
Added support for AmS@TeX{} and AmSLa@TeX{}.  Currently they are
identical to @TeX{} and La@TeX{} except for another default command. 

@item
Added Vor@TeX{} style matching of dollar sign.  The style is guaranteed
to be Vor@TeX{}, since I lifted the code directly from Vor@TeX{}.
Thanks to Pehong Chen @samp{<phc@@renoir.berkeley.edu>} for writing the
Vor@TeX{} code.  Thanks to Jak Kirman @samp{<jak@@cs.brown.edu>} for
pointing out this nice Vor@TeX{} feature.

@item
Added information about AUC @TeX{} mail addresses to the manual.  Thanks
to Dave Smith @samp{<maa507@@computing.lancaster.ac.uk>}.

@item
Added menu to for plain @TeX{}.  Suggested by Tim Carlson
@samp{<imsgtcar@@math.montana.edu>}. 

@item
Made the menus depend on @code{TeX-command-list}.

@item
Made it possible to specify @code{TeX-auto-regexp-list} in the local
variable section of each file.

@item
Added variable @code{TeX-auto-parse-length} to specify maximal length of
text that will be parsed.

@item
Added automatic parsing of Bib@TeX{} files and @samp{bibitem} entries in
order to get completion in @samp{cite}.  This was inspired by an add on
made by Sridhar Anandakrishnan @samp{<sak@@essc.psu.edu>}.

@item
Added variable @code{TeX-byte-compile} to disable automatic byte
compilation of style files when loaded.  This is needed when using
different Emacs versions.

@item
Added variable @code{TeX-translate-location-hook} to translate file and
line information before showing an error, as requested by Thorbjoern
Ravn Andersen @samp{<ravn@@imada.ou.dk>}.

@item
Added variable @code{TeX-auto-save} to allow disabling the automatic
saving of style information, either per file in the file local
variables, or globally by using @code{setq-default}.  Use
@code{TeX-normal-mode} to force style information to be saved.

@item
Try to create @file{auto} directory if it does not exists.

@item
Added chapter describing how to tune the @TeX{} parsing.

@item
Allow (but do not encourage) a string value for
@code{LaTeX-default-options}. 

@item
Give @samp{"} word syntax when german.sty is loaded.  Suggested by Tim
Geisler @samp{<tmgeisle@@immd8.informatik.uni-erlangen.de>}.

@item
Many corrections to the grammar in the manual.  Thanks to Manfred
Weichel @samp{<Manfred.Weichel@@sto.mchp.sni.de>}.

@item
Bind @code{TeX-home-buffer} to @kbd{C-c ^} instead of @kbd{C-c C-h}
which are reserved in Emacs 19.  Suggested by Chris Moore
@samp{<Chris.Moore@@src.bae.co.uk>}.
@end itemize

@node Version 7.2, Version 7.1, Version 7.3, History
@comment  node-name,  next,  previous,  up
@section News in 7.2

Coordinator: Per Abrahamsen, 1993.

@itemize @bullet
@item
@code{LaTeX-dead-mode} works again.  Thanks to Patrick O'Callaghan
@samp{<poc@@usb.ve>} for fixing it.

@item
Minor fixes to the documentation.  Thanks to Shinji Kobayashi
@samp{<koba@@flab.fujitsu.co.jp>}.

@item
Add @samp{Compiling} to the mode line of all buffers, while there is a
AUC @TeX{} compilation process running.  This is similar to the behavior
of @code{compile} in Emacs 19.

@item
@code{TeX-normal-mode} will now save the buffer first to make sure it
gets reparsed.

@item
Labels with underscores are now recognized.   Thanks to Wolfgang Franzki
@samp{<W.Franzki@@kfa-juelich.de>} 

@item
Fix to `ghostview' printer specification.  Thanks to Masayuki Kuwada
@samp{<kuwada@@soliton.ee.uec.ac.jp>}. 

@item
Recognize @samp{abstract}, @samp{center}, @samp{titlepage},
@samp{verse}, and @samp{theindex} environments.  Thanks to Masayuki Kuwada
@samp{<kuwada@@soliton.ee.uec.ac.jp>}. 

@item
Fix to @samp{newsavebox} macro.  Thanks to Shinji Kobayashi
@samp{<koba@@flab.fujitsu.co.jp>} for reporting this.

@item
Menu support for GNU Emacs 19 and Lucid Emacs.  Thanks to Alastair Burt
@samp{<burt@@dfki.uni-kl.de>} for the initial Lucid Emacs version.

@item
@kbd{C-c C-f C-d} now deletes the current font.  The current font is
defined to be the innermost @TeX{} group starting with a @TeX{} macro
that is terminated by a space.

@item
Giving @kbd{C-c C-f} a prefix argument will replace the current font,
i.e. @kbd{C-u C-c C-f C-b} will change the current font to bold. 

The old functionality (putting the font around the region) has been
removed.  To make the region bold, type @kbd{C-w C-c C-f C-b C-y}
instead.

@item
Chapter recognized as largest heading in the report style.  Thanks to
Shinji Kobayashi @samp{<koba@@flab.fujitsu.co.jp>} for reporting
this. 

@item
More support for Japanese style files.  Thanks to Shinji Kobayashi
@samp{<koba@@flab.fujitsu.co.jp>}.

@item
No longer put @samp{Outline} in the mode line whenever
@code{selective-display} is set.  Thanks to Lawrence R. Dodd
@samp{<dodd@@roebling.poly.edu>} for reporting this.

@item
Support for inserting calligraphic letters in @code{TeX-math-mode} with
@kbd{` c @key{letter}}.  Thanks to Olaf Burkart
@samp{<burkart@@zeus.informatik.rwth-aachen.de>}.

@item
@code{set-docstring} in @file{tex-math.el} should work better now.
Thanks to Alastair Burt @samp{<burt@@dfki.uni-kl.de>} and Olaf Burkart
@samp{<burkart@@zeus.informatik.rwth-aachen.de>}.

@item
Support for dviout preview on PC-9801.  Thanks to Shinji Kobayashi
@samp{<koba@@flab.fujitsu.co.jp>}.

@item
Inserting environment in empty buffer should work now.  Thanks to
Alastair Burt @samp{<burt@@dfki.uni-kl.de>}.

@item 
Default float for figures changed from @samp{tbp} to @samp{htbp}.  

@item
@code{LaTeX-format-environment} may work now.  Thanks to Shinji
Kobayashi @samp{<koba@@flab.fujitsu.co.jp>}.

@item
Better @code{LaTeX-close-environment}.  Thanks to Thorbjoern Hansen
@samp{<thansen@@diku.dk>}.

@item
Some support for Ispell 4.0.

@item
Bib@TeX{} in Emacs 19 need @code{tex-insert-quote}, make it autoload
from AUC @TeX{} instead of the standard @code{tex-mode}.

@item
@code{TeX-auto-generate} failed when repeated.  Thanks to Peter Whaite
@samp{<peta@@Thunder.McRCIM.McGill.EDU>} for reporting this.
@end itemize

@node Version 7.1, Version 7.0, Version 7.2, History
@comment  node-name,  next,  previous,  up
@section News in 7.1

Coordinator: Per Abrahamsen, 1993.

@itemize @bullet
@item
Allow multiple @samp{%p} in print commands.

Suggested by Cliff Krumvieda @samp{<cliff@@cs.cornell.edu>}.

@item
Improved backward compatibility in @file{auc-tex.el}.  Thanks to Ralf
Handl @samp{<handl@@cs.uni-sb.de>}.

@item
New style hook for @file{german.sty}.

Disable smart quotes.  Press @kbd{C-c C-n} to make it take effect.

@item
Allow files to have other extensions than ``tex''.

But no longer allow files to have multiple dots.  Sigh.

@item
Will no longer parse the buffer if it can use the saved state.

@item
New variable @code{TeX-parse-self}.

Set it to nil if you never want to parse the buffer when you load it.

@item
Only offer to save files that belongs to the document.

When you format the document with @kbd{C-c C-c}, AUC @TeX{} will no
longer offer to save your @file{RMAIL}, @file{.newsrc}, or other files
that does not belong to the document.  Suggested by Jim Hetrick
@samp{<hetrick@@phys.uva.nl>}. 

@item
Foil@TeX{} support.

Thanks to Sven Mattisson @samp{<sven@@tde.lth.se>}

@item
Smarter about when you need to reformat.

Thanks to Chris Callsen @samp{<chris@@iesd.auc.dk>}.

@item
Japanese @TeX{}

Now supports Japanese @TeX{}.  Thanks to Shinji Kobayashi
@samp{<koba@@keisu-s.t.u-tokyo.ac.jp>}.

@item
Works again under OS/2 and other case insensitive file systems.

@item
DEMACS support.

Thanks to Shinji Kobayashi @samp{<koba@@keisu-s.t.u-tokyo.ac.jp>}.

@item
Better @code{LaTeX-close-environment}.

Thanks to Piet van Oostrum @samp{<piet@@cs.ruu.nl>}.

@item
Ispell support.

Thanks to Piet van Oostrum @samp{<piet@@cs.ruu.nl>}.

@item 
Support for Russian letters.

Thanks to Justin R. Smith @samp{<jsmith@@king.mcs.drexel.edu>}.

@item
Sli@TeX{} fixes.

Many people.

@item
Fixes for spelling errors.

Many people.

@end itemize

@node Version 7.0, Version 6.1, Version 7.1, History
@comment  node-name,  next,  previous,  up
@section Version 7.0

Coordinator: Per Abrahamsen, 1993.

Alpha testers (in order of appearance): Piet van Oostrum
@samp{<piet@@cs.ruu.nl>}, Sven Mattisson @samp{<sven@@tde.lth.se>}, Tim
Geisler @samp{<tmgeisle@@immd8.informatik.uni-erlangen.de>}, Fran E.
Burstall @samp{<F.E.Burstall@@maths.bath.ac.uk>}, Alastair Burt
@samp{<burt@@dfki.uni-kl.de>}, Sridhar Anandakrishnan
@samp{<sak@@essc.psu.edu>}, Kjell Gustafsson
@samp{<kjell@@sccm.Stanford.EDU>}, Uffe Kjaerulff
@samp{<uk@@iesd.auc.dk>}, Kurt Swanson @samp{Kurt.Swanson@@dna.lth.se},
Mark Utting @samp{<marku@@cs.uq.oz.au>}, Per Norman Oma
@samp{perno@@itk.unit.no}, Naji Mouawad
@samp{<nmouawad@@math.uwaterloo.ca>}, Bo Nygaard Bai
@samp{<bai@@iesd.auc.dk>}, and probably more.

@itemize @bullet
@item
New keymap. 

The keymap has been changed in order to make it more intuitive to new
users, and because the old bindings did not work well with the new
buffer manipulation commands in tex-buf.el.  To use the new bindings,
load @file{tex-init.el} instead of @file{auc-tex.el}.

The file @file{auc-tex.el} is still available and implements the old
keybindings on top of the new code.

Print out the reference card (@file{doc/tex-ref.tex}) to see the new
bindings.  

@item
Completely redesigned the buffer handling. 

No part of the interface or the customization variables remain the same,
unless you use the compatibility functions in @file{auc-tex.el}.  In
that case the interactive commands remain similar in spirit, but the
customization interface is still changed. 

The file @file{tex-buf.el} has been completely rewritten, and there are
major cleanup in @file{tex-dbg.el}, however the basic functionality
remains the same in this file.  The code for both @file{tex-buf.el} and
@file{tex-dbg.el} should be much simpler now and easier to extent.

@file{auc-tex.el} and @file{tex-site.el} was updated to support the new
interface.  I actually believe the moral equivalent to @code{TeX-region}
to work now @t{:-)}, at least I understand the code now.

The two major functions are now @code{TeX-command-master} and
@code{TeX-command-region}.  Each function will prompt you for the
command to execute.  AUC @TeX{} will make an educated guess on what
command you want to run, and make that the default.  The available
commands are defined in the variable @code{TeX-command-list}.

@code{TeX-command-master} will run the specified command on the buffers
master file.  You can have one command running for each master file.
@code{TeX-command-region} will run the specified command on the current
region, getting the header on trailer from the master file.  

You can have exactly one region command running, independent on how many
master file commands that are running.  Commands that operate on the
active process (like @code{TeX-next-error}) will chose the process
associated with buffers master file, unless the last region process is
more recent than all master file processes.

AUC @TeX{} now insist on knowing the master file for a buffer.  If you
do not specify it in the file variable section, and it is not obviously
a master file itself, it will ask you.  It will also add the master file
name to the file variables, unless you disable this feature by setting
@code{TeX-add-local} to nil.  Furthermore, it will convert @samp{%%
Master:} lines to file variables, unless you disable it by setting
@code{TeX-convert-master} to nil.
@vindex TeX-convert-master

Functionality removed (for now, it might appear again latter) include
all other functions to start a command (e.g. @code{LaTeX-BibTeX}), and
alternative ways to specify headers and trailers.  The only place to get
the header and trailer is from the master file (I can easily change
that, if anyone have such needs).

@item
Style specific code isolated.

You can now add style specific information to AUC TeX by writing a
style file somewhere in TeX-style-path.

The main code is now organized around this principle.

@item
Automatically generate style files.

AUC @TeX{} can now automatically extract information from a @TeX{} file,
and will do this when you save a buffer.

@item
Sli@TeX{} mode.

Just like La@TeX{} mode, except that the default command to format run
on the buffer is @samp{slitex}.

@item
@code{LaTeX-section} completely general.

Rewrote @file{ltx-sec.el}.

@itemize @minus
@item
Sectioning level, toc, and title queries can be individually turned off.
@item
Label query can be turned on or off for selected sectioning levels.
@item
Label prefix can be different for different sectioning levels.
@item 
If the title (or toc) is empty, point will be positioned there.
@item
Users can add new hooks
@end itemize

@item
@code{TeX-insert-macro} much smarter.

It will now prompt for the symbol with completions, and for many symbols
it will also prompt for each argument.  There are also completion on
some of the arguments.

@item
Fixed center in figure environment. 

Thanks to Thomas Koenig @samp{<ig25@@rz.uni-karlsruhe.de>}.

@item
Changed @code{\M-} to @code{\e} in all keybindings in order to better
support 8-bit input on some GNU Emacs. Thanks to Peter Dalgaard
@samp{<pd@@kubism.ku.dk>}.

Please, implementors of 8-bit input extensions to GNU Emacs.
@code{\M-x} does @emph{not} means @dfn{@kbd{x} with the 8-bit set}.  It
means @dfn{pressing @kbd{x} while holding down the @key{meta} key}.
Some systems (such as X11) are able to tell the different.  Thus, even
if you implement 256 byte keymaps, @code{\M-x} should still expand
@code{meta-prefix-char} followed by an @kbd{x} in the keymap.  This
allows you to distinguish pressing @kbd{x} while holding down the
@key{meta} key from entering a literal 8-bit character.

@item
Made the outline commands aware of the document style.

That is, if the document style is @samp{article}, @samp{\section} will
be one level below the @samp{\documentstyle}, while if the style is
@samp{book}, @samp{\section} will be three levels below
@samp{\documentstyle}.  This will make @code{show-children} work better
at the top level.

@item
The makefiles are closer to GNU coding standard.

They now understand `prefix' and some other macros.

@item
Added hooks to be run after list of environments or list of completion
names are updated, and also added a hook to be called after each file
has been loaded. Thanks to Piet van Oostrum @samp{<piet@@cs.ruu.nl>}.

@item
Added @samp{*} to lot of @code{(interactive)} declarations.

@item
The outline commands are now always accessible from La@TeX{} mode.

@item
Generalized the keyboard remapping and double modes.

These are found in the file @file{min-key.el}. 

@item
Smart Comments.

Not really, but there are now two comment functions which use their
arguments to determine what to do, instead of four functions ignoring
their arguments.

@item
Add outline headers.

It is now possible to add extra outline headers, by setting the variable
@code{TeX-outline-extra}. 

@item 
Smart quotes even smarter.

If you press @kbd{"} twice, it will insert an real double quote instead
of two (or four) single quotes.  This is consistent with how remapping
in @file{min-key.el} is done.

@item
Automatically untabify buffer when you save it.

Hands up, everyone who have produced a `last revision' paper containing
an unreadable list of data in the back, because @TeX{} does not
understands tabs.

@item
Call show-all when you change major mode.

Thanks to Inge Frick's @samp{<inge@@nada.kth.se>} @file{kill-fix.el}
enhancement, outline minor mode can now guarantee that all text is shown
when you leave the minor mode, even if you leave the minor mode by
changing the major mode.

@item
Updated documentation for 7.0.

Also added key, variable, function, and concept indexes, as well as this
history section and a new chapter on multifile documents
(@pxref{Multifile}).@refill

@end itemize

@node Version 6.1, Version 6.0, Version 7.0, History
@comment node-name,  next,  previous,  up
@section Version 6.1

Coordinator: Per Abrahamsen, 1992.

@itemize @bullet
@item
@code{TeX-region} might work now (heard that before?).

Many people reported this one.  Especially thanks to Fran Burstall
@samp{<F.E.Burstall@@maths.bath.ac.uk>} and Bill Schworm
@samp{<bill@@schworm.econ.ubc.ca>}.@refill

@item
The specification format for the @TeX{} command is more general.  

See the documentation for @code{LaTeX-command} and
@code{plain-TeX-command}. 

@item
The specification format for the preview commands is more general.

See their respective documentation.

@item
The specification format for the print command is more general.  

See the documentation for @code{TeX-print-command}.

@item
@code{TeX-args} is marked as obsolete.

@item
The @samp{"Emergency stop ..."} error.

Some users of old @TeX{} installations got might might be fixed now.
Thanks to Philip Sterne @samp{<sterne@@dublin.llnl.gov>}.

@item
It is now possible to change the preview command.

@dots{} without loading TeX-site first.  Thanks to Tim Bradshaw
@samp{<tim.bradshaw@@edinburgh.ac.uk>}.

@item
New variable TeX-smart-quotes.

Allow @file{german.sty} users (and others) to disable the mapping of
double quote (@kbd{"} to @samp{``} or @samp{''}).  Thanks to Daniel
Hernandez @samp{<danher@@informatik.tu-muenchen.de>}.

@item
Many minor corrections to the documentation.  

Thanks to Mainhard E.  Mayer @samp{<hardy@@golem.ps.uci.edu>}.

@item
Make test for @code{HOSTTYPE} case insensitive.

Thanks to Gisli Ottarsson @samp{<gisli@@liapunov.eecs.umisc.edu>}.

@item
@code{TeX-force-default-mode}

Set to avoid AUC @TeX{}'s attempts to infer the mode of the file by
itself.

@end itemize

@node Version 6.0, Ancient History, Version 6.1, History
@comment node-name,  next,  previous,  up
@section Version 6.0

Coordinator: Kresten Krab Thorup, 1992.

Preliminary documentation is available in the directory @file{doc}.  It
isn't very well written, but I believe it covers most interesting points.
Comments, suggestions, or even rewrites of sections are VERY
WELCOME@dots{}

LaCheck has been incorporated in the package.  The source code for it is
available in the directory @file{lacheck} along with the documentation
for it.  Lacheck may also be used from the command line.  It is bound to
@kbd{C-c $}.

Some minor changes in:

@table @code
@item TeX-region
Should work better with @samp{Master:} option.

@item LaTeX-environment
Numerous new hooks added by Masayuki Kuwada.

@item TeX-command-on-region
Removed. @kbd{C-c C-o} used for @code{outline-minor-mode} instead.

@end table

And some additional minor fixes...

@node Ancient History,  , Version 6.0, History
@comment  node-name,  next,  previous,  up
@section Ancient History

The origin of AUC @TeX{} is @file{tex-mode.el} from Emacs 16.  Lars
Peter Fischer @samp{<fischer@@iesd.auc.dk>} wrote the first functions to
insert font macros and Danish characters back in 1986.  Per Abrahamsen
@samp{<abraham@@iesd.auc.dk>} wrote the functions to insert environments
and sections, to indent the text, and the outline minor mode in 1987.
Kresten Krab Thorup @samp{<krab@@iesd.auc.dk>} wrote the buffer handling
and debugging functions, the macro completion, and much more, including
much improved indentation and text formatting functions.  He also made
the first public release in 1991, and was the main author and
coordinator of every release up to and including 6.0.

Thanks should also go to all the people who have been a great help
developing the AUC @TeX{} system.  Especially all the people on the
@samp{auc-tex} mailing list, who have been very helpful commenting and
pointing out weak points and errors.

Some of the contributors are listed below.  Others are mentioned in the
lisp files or in the History section.

@table @samp
@item <dduchier@@csi.UOttawa.CA>
Denys Duchier
@item <ferguson@@cs.rochester.edu>
George Ferguson
@item <simons@@ibiza.karlsruhe.gmd.de>
Martin Simons
@item <smith@@pell.anu.edu.au>
Michael Smith
@item <per@@iesd.auc.dk>
Per Hagen
@item <handl@@cs.uni-sb.de>
Ralf Handl
@item <sven@@tde.lth.se>
Sven Mattisson
@item <kuwada@@soliton.ee.uec.ac.jp>
Masayuki Kuwada
@item <tb06@@pl118f.cc.lehigh.edu>
Terrence Brannon
@item <roseman@@hustat.harvard.edu>   
Leonard Roseman
@end table

Special thanks to Leslie Lamport for supplying the source for the LaTeX
error messages in the @file{tex-dbg.el} file.

